=== added directory 'scripts'
=== added file 'scripts/testrun'
--- scripts/testrun	1970-01-01 00:00:00 +0000
+++ scripts/testrun	2016-06-10 14:59:48 +0000
@@ -0,0 +1,11 @@
+#! /bin/bash
+
+# Usage: testrun [<build dir> [<switches passed to miral-shell>]]
+socket=${XDG_RUNTIME_DIR}/mir_socket
+builddir=build/
+if [ $# -gt 0 ]; then builddir=$1/; shift; fi
+
+sudo ls >> /dev/null
+sudo ${builddir}bin/miral-shell --vt 5 --arw-file --file ${socket} $* &
+while [ ! -e "${socket}" ]; do echo "waiting for ${socket}"; sleep 1 ;done
+${builddir}bin/miral-run gnome-terminal&

